INNDF(8)

NAME
inndf - Replacement for 'df | awk' in innwatch.ctl

SYNOPSIS
inndf [ -i ] filesystem(s) | [ -n ] [ -o ]

DESCRIPTION
Inndf is a replacement for 'df | awk' in innwatch.ctl(5) or used in innstat(8). Inndf reports free Kilobytes (not disk blocks) or free inodes. Kilobytes in this case means 1024 bytes.

If arguments are multiply specified, the output includes multiple lines which shows each specified argument and the value. This is used by innstat(8).

Inndf doesn't sync, forks less, is less complicated, etc.

If <enableoverview in inn.conf> is set to ``true'' and other overview settings are already done, inndf can also show the usage of overview space or the number of stored data.

OPTIONS

-i  If the ``-i'' flag is used, then the number of free inodes are reported instead of the number of free Kilobytes.

-n  If the ``-n'' flag is used, then total number of stored overview data is reported. The number counts different data even if article is crossposted.

-o  If the ``-o'' flag is used, then overview space usage are reported as percentage. ``-o'' cannot be always available. This can be available for ``buffindexed'' ovmethod currently.

HISTORY
Inndf was written by Ian Dickinson <idickins@fore.com>. The initial manual page was written by Swa Frantzen <Swa.Frantzen@Belgium.EU.net>. Thanks also to the following folks for ports, patches and comments: Mahesh Ramachandran <rr@eel.ufl.edu>, Chuck Swiger <chuck@its.com>, Sang-yong Suh <sysuh@kigam.re.kr>, Brad Dickey <bdickey@haverford.edu>, Taso N. Devetzis <devetzis@snet.net>, Wei-Yeh Lee <weiyeh@columbia.edu>, Jeff Garzik <jeff.garzik@spinne.com>, and to all the other folks I met and worked with during my 10 years as a newsadmin.

SEE ALSO
innwatch.ctl(5).